#!/bin/bash
EXE_DIR=/usr/local/bin
LOG_FILE_DIR=$INSTALL_DIR/logs
EXE_FILE=temp_readout.sh
CONF_DIR=conf
LIB_FILE=temp_readout.lib
INSTALL_DIR=/opt/temp_readout
INS_FILE=install.sh



if [ $# -eq 0 ]
then
	echo "Please enter command line argument -install or -uninstall"
	exit 0
fi

#uninstall
if [ $1 = "-uninstall" ]
then

	
	echo "Removing $EXE_FILE from $EXE_DIR"
	rm $EXE_DIR/$EXE_FILE

  echo "Deleting installation directory $INSTALL_DIR"
	rm -r $INSTALL_DIR
	
	echo "Software has been uninstalled."
	exit 0

#install
elif [ $1 = "-install" ]
then
	
	if [ -e $INSTALL_DIR ]
	then
		echo "software already installed in $INSTALL_DIR, deleting directory."
		rm -r $INSTALL_DIR
	fi
	
	echo "Installing UPS software into $INSTALL_DIR"
	mkdir $INSTALL_DIR
	cp -R $CONF_DIR $INSTALL_DIR
	chmod 777 $INSTALL_DIR/$CONF_DIR
	cp $LIB_FILE $INSTALL_DIR
	chmod 777 $INSTALL_DIR/$LIB_FILE
	cp $EXE_FILE $EXE_DIR
	chmod 777 $EXE_DIR/$EXE_FILE
	cp $INS_FILE $INSTALL_DIR
	chmod 777 $INSTALL_DIR/$INS_FILE
	mkdir $INSTALL_DIR/$LOG_FILE_DIR
	echo "Software has been installed."
	exit 0
	
else
	echo "Invalid command line argument, please use -help to see valid arguments"
	exit 1
fi
	
	